Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

Oracle Forms 4.5 and motif 1.5

 
Highlighted
Advisor

Oracle Forms 4.5 and motif 1.5

We are using Oracle 8i with Forms 4.5. We are using the Forms GUI interface with X-windows.

We upgraded our test environment to OpenVMS 8.2, and DWmotif V1.5 from OpenVMS 7.3-1 and DWmotif V1.2-6.

From the Gui interface into Oracle Forms, the Function keys (i.e F9) and Control keys (i.e. CTRL-P) no longer work (CTRL-P enters a blank into the form instead of calling up the print option like it used to).

I have re-linked the Oracle Forms 4.5 and have re-generated the actual Oracle forms.

Does anyone have any idea why the x-windows application can no loger interpret the Function and control keys?

Thanks

Andre
13 REPLIES 13
Highlighted
Honored Contributor

Re: Oracle Forms 4.5 and motif 1.5

While this could quite conceivably be a problem with DECwindows V1.5 (and I would check for ECO kits regardless), do check first with Oracle Metalink and see if Oracle has information potentially related to this posted.

Oracle Forms may or may not be at fault here, but Oracle is in a better position to determine the particular trigger.

As a parallel test here, you might test F9 and such with a DECterm terminal. DEFINE/KEY can be used to capture F9. Capturing CTRL/P might require a little more work.

And do ensure Oracle Forms 4.5 is supported on DECwindows 1.5.
Highlighted
Advisor

Re: Oracle Forms 4.5 and motif 1.5

I am not going to get any help from Oracle, Forms 4.5 is no longer supported on OpenVMS...I did test the function keys from a Forms 4.5 character cell application, (not the same form), and the function keys worked OK...
Highlighted
Honored Contributor

Re: Oracle Forms 4.5 and motif 1.5

Ah. Misdirected requests usually have an unstated trigger. Now I know the trigger.

ECO DECwindows and the graphics drivers and OpenVMS itself to current. If that doesn't work here, you're left with the obvious choices. Downgrade, replace, migrate, upgrade, re-code, etc.

If it's your code involved here within the application, check for a bug in it. There have been latent bugs within OpenVMS itself that have surfaced -- a salient example lurked unnoticed for a quarter-century before it finally become visible. Application and LP bugs can also easily lurk.
Highlighted
Advisor

Re: Oracle Forms 4.5 and motif 1.5

Can I down grade Motif back to 1.2-6 on OpenVMS 8.2?

Highlighted
Honored Contributor

Re: Oracle Forms 4.5 and motif 1.5

From the OpenVMS FAQ "OpenVMS Alpha V7.3-2 only supports DECwindows Motif V1.3 and later. If you require DECwindows V1.2-6 or earlier, then you are limited to operations on OpenVMS Alpha V7.3-1 and earlier releases."

There's a discussion of keymapping and such over in the FAQ, as well.

Before resorting to more serious effort, I'd see if this was Oracle Forms, or if this was the Application, something in DECwindows or the keymapping, or OpenVMS, or something else. Apply ECO kits to current, and debug this locally.

Oracle has classically had specific version and upgrade requirements, and this assists them in reducing the scale of the associated testing matrix. Conversely, this policy also means you need upgrade more regularly. Counter-conversely, performing regular upgrades also mean you don't smash into older (and fixed) bugs.

There are inevitable support costs and payments, just not an overt payment to Oracle in this particular case. Staying on older releases is not free, and eventually becomes expensive. (And DECwindows Motif V1.5 and OpenVMS Alpha V8.2 are themselves older releases.)

I know. Not the answers you want.

Highlighted
Advisor

Re: Oracle Forms 4.5 and motif 1.5

Thanks..like you said not the answers I wanted...I am up to the latest ECO's for motif, and bit need to check for the OpenVMS ones from the last month...I will check out the FAQ's

Highlighted
Honored Contributor

Re: Oracle Forms 4.5 and motif 1.5

Andre,

was there ever a solution or workaround for this problem ?

One of our customers reported similar symptoms after upgrading from OpenVMS Alpha V7.3 MOTIF V1.2-6 to OpenVMS Alpha V7.3-2 MOTIF V1.3-1. They are also running an application based on Oracle FORMS V4.5 and now the function keys do not work anymore.

Volker.
Highlighted
Advisor

Re: Oracle Forms 4.5 and motif 1.5

No, there was no real solution. I had to create a toolbar with the equivalent keys on it. I am still hoping that something better will come up.

Andre
Highlighted
New Member

Re: Oracle Forms 4.5 and motif 1.5

Hi Andre,
I don't have an answer to your problem but I am interested in your environment. I am currently running 2, AlphaServer ES40s (1 test, 1 prod) with OpenVMS 7.3-2 with DWMotif V1.3-1 and Oracle Client 7.3.4 with Oracle Forms 4.5. Developers are the only persons who use the X Window GUI running Developer 2000. In production our runtime environment is running the character based forms with VT220 telnet sessions. Did I understand you correctly that you were able to run the character based forms with VMS 8.2 and Oracle 8i? Is that currently your production environment? I would very much like to upgrade my OpenVMS and Oracle Client as far as I can and still be able to run the character based forms. We also run an old SQR report writer V4.3.4 that will also still have to function; I don't know if you have any experience with that. FYI, our database is 9i soon to be 10g on a 64-bit linux server. I was also curious if you have a migration plan for your application to get to something web based or something to get current? Any light you can shed I would appreciate. Thanks, Greg